Bug 1116071 - Review Request: libpsl - C library for the Publix Suffix List
Summary: Review Request: libpsl - C library for the Publix Suffix List
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1123616
TreeView+ depends on / blocked
 
Reported: 2014-07-03 16:45 UTC by Christopher Meng
Modified: 2014-08-16 00:34 UTC (History)
3 users (show)

Fixed In Version: libpsl-0.5.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-16 00:29:26 UTC
loganjerry: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
Added misising macro definition (1.06 KB, patch)
2014-07-31 12:54 UTC, Jakub Čajka
no flags Details | Diff

Description Christopher Meng 2014-07-03 16:45:49 UTC
Spec URL: http://us-la.cicku.me/libpsl.spec
SRPM URL: http://us-la.cicku.me/libpsl-0.5.0-1.fc21.src.rpm
Description: libpsl is a C library to handle the Public Suffix List. A "public suffix" is a domain name under which Internet users can directly register own names.

Browsers and other web clients can use it to

- Avoid privacy-leaking "supercookies";
- Avoid privacy-leaking "super domain" certificates;
- Domain highlighting parts of the domain in a user interface;
- Sorting domain lists by site;

Libpsl...

- has built-in PSL data for fast access;
- allows to load PSL data from files;
- checks if a given domain is a "public suffix";
- provides immediate cookie domain verification;
- finds the longest public part of a given domain;
- finds the shortest private part of a given domain;
- works with international domains (UTF-8 and IDNA2008 Punycode);
- is thread-safe;
- handles IDNA2008 UTS#46;
Fedora Account System Username: cicku

Upcoming dep of wget.

Comment 1 Jerry James 2014-07-08 18:17:12 UTC
A mock build for Rawhide fails:

Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.m3KaPS
+ umask 022
+ cd /builddir/build/BUILD
+ cd libpsl-0.5.0
+ ./autogen.sh
Can't exec "autopoint": No such file or directory at /usr/share/autoconf/Autom4te/FileUtils.pm line 345.
autoreconf: failed to run autopoint: No such file or directory
autoreconf: autopoint is needed because this package uses Gettext
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.m3KaPS (%build)
    Bad exit status from /var/tmp/rpm-tmp.m3KaPS (%build)
Child return code was: 1

/usr/bin/autopoint is provided by gettext-devel, so apparently there is a missing BuildRequires.  In fact, just change "BuildRequires: gettext" to "BuildRequires: gettext-devel", and everything is good.  I will review the package with that change in place.

Comment 2 Jerry James 2014-07-08 19:18:48 UTC
Issues:
1. The psl binary is in the libpsl-devel package.  Is that tool only useful
   for people developing applications that use libpsl?  It seems to me that
   that is not the case, and therefore this binary should go into a different
   subpackage, called psl, or libpsl-tools, etc.
2. License tag (LGPLv2+) is incorrect.  The actual license is MIT.
3. In spite of the gtk-doc and libxslt BuildRequires, I see this in the
   configure output:

checking whether to build gtk-doc documentation... no
checking for GTKDOC_DEPS... no
checking whether to generate man pages... no

   The first and third are because --enable-gtk-doc and --enable-man,
   respectively, were not passed to configure.  For the second, I see this in
   config.log:

configure:17791: checking for GTKDOC_DEPS
configure:17798: $PKG_CONFIG --exists --print-errors "glib-2.0 >= 2.10.0 gobject-2.0  >= 2.10.0"
Package glib-2.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `glib-2.0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'glib-2.0' found
Package gobject-2.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `gobject-2.0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'gobject-2.0' found

   This indicates that you need at least one of the following (all are
   supplied by the same package):

   BuildRequires: pkgconfig(glib-2.0)
   BuildRequires: pkgconfig(gobject-2.0)
   BuildRequires: glib2-devel

4. I don't see the point in including %{_datadir}/libpsl/test_psl.txt in
   libpsl-devel.  What purpose does that serve?

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in /home/jamesjer/1116071-libpsl
     /review-libpsl/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libpsl-0.5.0-1.fc21.x86_64.rpm
          libpsl-devel-0.5.0-1.fc21.x86_64.rpm
          libpsl-0.5.0-1.fc21.src.rpm
libpsl.x86_64: W: spelling-error %description -l en_US supercookies -> super cookies, super-cookies, supercities
libpsl-devel.x86_64: W: only-non-binary-in-usr-lib
libpsl-devel.x86_64: W: no-manual-page-for-binary psl
libpsl.src: W: spelling-error %description -l en_US supercookies -> super cookies, super-cookies, supercities
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint libpsl libpsl-devel
libpsl.x86_64: W: spelling-error %description -l en_US supercookies -> super cookies, super-cookies, supercities
libpsl-devel.x86_64: W: only-non-binary-in-usr-lib
libpsl-devel.x86_64: W: no-manual-page-for-binary psl
2 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
libpsl (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libicuuc.so.52()(64bit)
    rtld(GNU_HASH)

libpsl-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libc.so.6()(64bit)
    libicuuc.so.52()(64bit)
    libpsl(x86-64)
    libpsl.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
libpsl:
    libpsl
    libpsl(x86-64)
    libpsl.so.0()(64bit)

libpsl-devel:
    libpsl-devel
    libpsl-devel(x86-64)
    pkgconfig(libpsl)



Source checksums
----------------
https://github.com/rockdaboot/libpsl/archive/0.5.0.tar.gz#/libpsl-0.5.0.tar.gz :
  CHECKSUM(SHA256) this package     : b7071b9cce6f6889bdb9e65ea7c60b055f2f78df350921fd8b69f5ea418ed4b1
  CHECKSUM(SHA256) upstream package : b7071b9cce6f6889bdb9e65ea7c60b055f2f78df350921fd8b69f5ea418ed4b1


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -n libpsl -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 3 Christopher Meng 2014-07-25 01:52:01 UTC
NEW SPEC URL: http://us-la.cicku.me/libpsl.spec
NEW SRPM URL: http://us-la.cicku.me/libpsl-0.5.0-2.fc22.src.rpm

Comment 4 Jerry James 2014-07-25 18:25:24 UTC
You haven't fixed the problem described in comment 1.

Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.1S6nnS
+ umask 022
+ cd /builddir/build/BUILD
+ cd libpsl-0.5.0
+ ./autogen.sh
Can't exec "autopoint": No such file or directory at /usr/share/autoconf/Autom4te/FileUtils.pm line 345.
autoreconf: failed to run autopoint: No such file or directory
autoreconf: autopoint is needed because this package uses Gettext
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.1S6nnS (%build)
    Bad exit status from /var/tmp/rpm-tmp.1S6nnS (%build)
Child return code was: 1

Comment 5 Christopher Meng 2014-07-26 06:52:18 UTC
Ooops, I failed to see that ;)

Same URLs with a new changelog entry.

NEW SPEC URL: http://us-la.cicku.me/libpsl.spec
NEW SRPM URL: http://us-la.cicku.me/libpsl-0.5.0-2.fc22.src.rpm

Comment 6 Jerry James 2014-07-26 18:06:28 UTC
Everything looks good now.  This package is APPROVED.

Comment 7 Christopher Meng 2014-07-27 10:01:11 UTC
Thaaaaaaanxx!

New Package SCM Request
=======================
Package Name: libpsl
Short Description: C library for the Publix Suffix List
Upstream URL: https://rockdaboot.github.io/libpsl
Owners: cicku
Branches: f19 f20 f21 el6 epel7
InitialCC: wget-owner@fedoraproject.org

Comment 8 Gwyn Ciesla 2014-07-28 12:14:08 UTC
WARNING: "wget-owner@fedoraproject.org" is not a valid FAS account.

Comment 9 Christopher Meng 2014-07-28 12:48:57 UTC
New Package SCM Request
=======================
Package Name: libpsl
Short Description: C library for the Publix Suffix List
Upstream URL: https://rockdaboot.github.io/libpsl
Owners: cicku
Branches: f19 f20 f21 el6 epel7

Comment 10 Gwyn Ciesla 2014-07-28 13:07:46 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2014-07-29 01:18:16 UTC
libpsl-0.5.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libpsl-0.5.0-2.fc19

Comment 12 Jakub Čajka 2014-07-31 12:54:30 UTC
Created attachment 922911 [details]
Added misising macro definition

Hello, 

package fails to build for non rawhide Fedora, as spec file contains macro not existing in previous versions of Fedora. Same issue as tiptop BZ 1122009. In attachment is patch defining it for Fedora versions < 21.

Koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=7218847 (f21)
VS
http://koji.fedoraproject.org/koji/taskinfo?taskID=7218908 (f20)
VS
http://koji.fedoraproject.org/koji/taskinfo?taskID=7219630 (f20 with patch)

Comment 13 Fedora Update System 2014-08-04 08:21:01 UTC
libpsl-0.5.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libpsl-0.5.1-1.fc20

Comment 14 Fedora Update System 2014-08-04 08:21:09 UTC
libpsl-0.5.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libpsl-0.5.1-1.fc19

Comment 15 Fedora Update System 2014-08-07 15:25:29 UTC
Package libpsl-0.5.1-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libpsl-0.5.1-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9168/libpsl-0.5.1-1.fc19
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2014-08-16 00:29:26 UTC
libpsl-0.5.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2014-08-16 00:34:36 UTC
libpsl-0.5.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.